Package org.codehaus.janino

# Class Java.PackageDeclaration

java.lang.Object
org.codehaus.janino.Java.Located
org.codehaus.janino.Java.PackageDeclaration

All Implemented Interfaces:
  `Java.Locatable`

Enclosing class:
  `Java`

public static class Java.PackageDeclaration extends Java.Located
Representation of a package declaration like `package com.acme.tools;`.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`packageName`
The package name, e.g.

### Fields inherited from class org.codehaus.janino.Java.Located

`NOWHERE`

## Constructor Summary

Constructors
Constructor
Description
`PackageDeclaration(Location location, String packageName)`

## Method Summary

### Methods inherited from class org.codehaus.janino.Java.Located

`getLocation, throwCompileException`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### packageName

public final String packageName
The package name, e.g. "`com.acme.tools`".

## Constructor Details

### PackageDeclaration

public PackageDeclaration(Location location, String packageName)